org.jboss.jca.core.api.connectionmanager.ccm

## Interface CachedConnectionManager

- All Superinterfaces:
    ComponentStack, java.util.EventListener, UserTransactionListener

      public interface CachedConnectionManager
      extends UserTransactionListener, ComponentStack

  CacheConnectionManager.
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfConnections()` Get the number of connections currently in use - if debug is enabled
    `javax.transaction.TransactionManager` | `getTransactionManager()` Gets transaction manager.
    `boolean` | `isDebug()` Is debug enabled
    `boolean` | `isError()` Is error enabled
    `boolean` | `isIgnoreUnknownConnections()` Is ignore unknown connections on close enabled
    `java.util.Map<java.lang.String,java.lang.String>` | `listConnections()` List the connections in use - if debug is enabled The return value is the connection key, and its allocation stack trace
    `void` | `registerConnection(ConnectionCacheListener cm, ConnectionListener cl, java.lang.Object connection)` Register connection.
    `void` | `setDebug(boolean v)` Set debug flag
    `void` | `setError(boolean v)` Set error flag
    `void` | `setIgnoreUnknownConnections(boolean v)` Set ignore unknown connections flag
    `void` | `start()` Start
    `void` | `stop()` Stop
    `void` | `unregisterConnection(ConnectionCacheListener cm, ConnectionListener cl, java.lang.Object connection)` Unregister connection.

    - ### Methods inherited from interface org.jboss.jca.core.spi.transaction.usertx.UserTransactionListener

      `userTransactionStarted`

    - ### Methods inherited from interface org.jboss.jca.core.spi.connectionmanager.ComponentStack

      `popMetaAwareObject, pushMetaAwareObject`

- - ### Method Detail

    - #### getTransactionManager

          javax.transaction.TransactionManager getTransactionManager()

      Gets transaction manager.
      Returns:
        transaction manager

    - #### isDebug

          boolean isDebug()

      Is debug enabled
      Returns:
        True if enabled; otherwise false

    - #### setDebug

          void setDebug(boolean v)

      Set debug flag
      Parameters:
        `v` - The value

    - #### isError

          boolean isError()

      Is error enabled
      Returns:
        True if enabled; otherwise false

    - #### setError

          void setError(boolean v)

      Set error flag
      Parameters:
        `v` - The value

    - #### isIgnoreUnknownConnections

          boolean isIgnoreUnknownConnections()

      Is ignore unknown connections on close enabled
      Returns:
        True if enabled; otherwise false

    - #### setIgnoreUnknownConnections

          void setIgnoreUnknownConnections(boolean v)

      Set ignore unknown connections flag
      Parameters:
        `v` - The value

    - #### registerConnection

          void registerConnection(ConnectionCacheListener cm,
                                  ConnectionListener cl,
                                  java.lang.Object connection)

      Register connection.
      Parameters:
        `cm` - connection manager
        `cl` - connection listener
        `connection` - connection handle

    - #### unregisterConnection

          void unregisterConnection(ConnectionCacheListener cm,
                                    ConnectionListener cl,
                                    java.lang.Object connection)

      Unregister connection.
      Parameters:
        `cm` - connection manager
        `cl` - connection listener
        `connection` - connection handle

    - #### getNumberOfConnections

          int getNumberOfConnections()

      Get the number of connections currently in use - if debug is enabled
      Returns:
        The value

    - #### listConnections

          java.util.Map<java.lang.String,java.lang.String> listConnections()

      List the connections in use - if debug is enabled The return value is the connection key, and its allocation stack trace
      Returns:
        The map

    - #### start

          void start()

      Start

    - #### stop

          void stop()

      Stop

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)